rewrite:
  enable: false
  custom_ip: 5.223.51.157
  mode: new_file
cleanup:
  enable: true
  keep_days: 2 # only keep today and yesterday
allow:
  # my personalised list. remove this list or replace it with your own.
  - name: atjontv-allowlist
    url: "https://monster-adlist.atvg.cloud/~atjontv/allowlist.txt"
    type: domains
    header:
      title: AtjonTV's Allowlist
      license: "https://unlicense.org"
block:
  - name: hagezi-ultimate
    url: "https://raw.githubusercontent.com/hagezi/dns-blocklists/refs/heads/main/domains/ultimate.txt"
    type: domains
    header:
      title: HaGeZi's Ultimate DNS Blocklist
      homepage: "https://github.com/hagezi/dns-blocklists"
      license: "https://github.com/hagezi/dns-blocklists/blob/main/LICENSE"
  - name: blocklist-ads
    url: "https://raw.githubusercontent.com/blocklistproject/Lists/refs/heads/master/alt-version/ads-nl.txt"
    type: domains
    header:
      title: The Block List Project - Ads List (NL)
      homepage: "https://blocklist.site"
      license: "https://unlicense.org"
  - name: blocklist-crypto
    url: "https://raw.githubusercontent.com/blocklistproject/Lists/refs/heads/master/alt-version/crypto-nl.txt"
    type: domains
    header:
      title: The Block List Project - Crypto List (NL)
      homepage: "https://blocklist.site"
      license: "https://unlicense.org"
  - name: yoyo-adlist
    url: "https://pgl.yoyo.org/adservers/serverlist.php?hostformat=nohtml&showintro=0&mimetype=plaintext"
    type: domains
    header:
      title: Peter Lowe
      homepage: "https://pgl.yoyo.org/adservers/serverlist.php"
      license: "https://pgl.yoyo.org/adservers/policy.php"
  - name: stevenblack-hosts
    url: "https://raw.githubusercontent.com/StevenBlack/hosts/master/alternates/fakenews-gambling/hosts"
    type: hosts
    trim:
      head: 40 # remove first 40 lines
    header:
      title: StevenBlack
      homepage: "https://github.com/StevenBlack/hosts"
      license: "https://github.com/StevenBlack/hosts/blob/master/license.txt"
  - name: rpilist-crypto
    url: "https://raw.githubusercontent.com/RPiList/specials/refs/heads/master/Blocklisten/crypto"
    type: abp
    header:
      title: RPiList crypto
      homepage: "https://github.com/RPiList/specials"
      license: "https://github.com/RPiList/specials/blob/master/LICENSE.md"
  - name: rpilist-gambling
    url: "https://raw.githubusercontent.com/RPiList/specials/refs/heads/master/Blocklisten/gambling"
    type: abp
    header:
      title: RPiList gambling
      homepage: "https://github.com/RPiList/specials"
      license: "https://github.com/RPiList/specials/blob/master/LICENSE.md"
  - name: rpilist-malware
    url: "https://raw.githubusercontent.com/RPiList/specials/refs/heads/master/Blocklisten/malware"
    type: abp
    header:
      title: RPiList malware
      homepage: "https://github.com/RPiList/specials"
      license: "https://github.com/RPiList/specials/blob/master/LICENSE.md"
  - name: rpilist-notserious
    url: "https://raw.githubusercontent.com/RPiList/specials/refs/heads/master/Blocklisten/notserious"
    type: abp
    header:
      title: RPiList notserious
      homepage: "https://github.com/RPiList/specials"
      license: "https://github.com/RPiList/specials/blob/master/LICENSE.md"
  - name: rpilist-streaming
    url: "https://raw.githubusercontent.com/RPiList/specials/refs/heads/master/Blocklisten/streaming"
    type: abp
    header:
      title: RPiList streaming
      homepage: "https://github.com/RPiList/specials"
      license: "https://github.com/RPiList/specials/blob/master/LICENSE.md"
  - name: rpilist-phishing-angriffe
    url: "https://raw.githubusercontent.com/RPiList/specials/refs/heads/master/Blocklisten/Phishing-Angriffe"
    type: abp
    header:
      title: RPiList Phishing-Angriffe
      homepage: "https://github.com/RPiList/specials"
      license: "https://github.com/RPiList/specials/blob/master/LICENSE.md"
  - name: rpilist-spammails
    url: "https://raw.githubusercontent.com/RPiList/specials/refs/heads/master/Blocklisten/spam.mails"
    type: abp
    header:
      title: RPiList spam.mails
      homepage: "https://github.com/RPiList/specials"
      license: "https://github.com/RPiList/specials/blob/master/LICENSE.md"
  - name: rpilist-win10telemetry
    url: "https://raw.githubusercontent.com/RPiList/specials/refs/heads/master/Blocklisten/Win10Telemetry"
    type: abp
    header:
      title: RPiList Win10 Telemetry
      homepage: "https://github.com/RPiList/specials"
      license: "https://github.com/RPiList/specials/blob/master/LICENSE.md"
  - name: rpilist-fakescience
    url: "https://raw.githubusercontent.com/RPiList/specials/refs/heads/master/Blocklisten/Fake-Science"
    type: abp
    header:
      title: RPiList Fake-Science
      homepage: "https://github.com/RPiList/specials"
      license: "https://github.com/RPiList/specials/blob/master/LICENSE.md"
  - name: fademind-hosts
    url: "https://raw.githubusercontent.com/FadeMind/hosts.extras/master/add.Spam/hosts"
    type: hosts
    header:
      title: FadeMind's Spam websites
      homepage: "https://github.com/FadeMind/hosts.extras"
      license: "https://github.com/StevenBlack/hosts/blob/master/license.txt"
